import type { NextAuthOptions } from "./types";
import { Cookie } from "./lib/cookie";
import NextAuth from "../next";
export interface IncomingRequest {
    method: string;
    headers: Record<string, any>;
    cookies: Record<string, any>;
    query: Record<string, any>;
    body: Record<string, any>;
}
export interface OutgoingResponse {
    status?: number;
    headers?: any[];
    json?: any;
    text?: any;
    redirect?: string;
    cookies?: Cookie[];
}
export declare function NextAuthHandler(params: IncomingRequest & {
    userOptions: NextAuthOptions;
}): Promise<OutgoingResponse>;
export default NextAuth;
