import { NextAuthOptions } from "..";
import { InternalOptions } from "../lib/types";
import * as cookie from "./lib/cookie";
interface InitParams {
    userOptions: NextAuthOptions;
    providerId?: string;
    action: InternalOptions["action"];
    /** Callback URL value extracted from the incoming request. */
    callbackUrl?: string;
    /** CSRF token value extracted from the incoming request. From body if POST, from query if GET */
    csrfToken?: string;
    /** Is the incoming request a POST request? */
    isPost: boolean;
    cookies: Record<string, any>;
}
/**
 * Initialize all internal options and
 * cookies that need to be created.
 */
export declare function init({ userOptions, providerId, action, cookies: reqCookies, callbackUrl: reqCallbackUrl, csrfToken: reqCsrfToken, isPost, }: InitParams): Promise<{
    options: InternalOptions;
    cookies: cookie.Cookie[];
}>;
export {};
